
Figure - Bug #114851
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT2】【游戏模式】游戏模式打开时，运行游戏“原神”，工具箱入口显示在屏幕中间靠下位置
2022-12-27 14:05 - CD Test赵飞

Status: CLOSED Start date: 2022-12-27

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-04

Test Type: ST Root cause: 屏幕宽高获取异常导致。

Description

【前提条件】

1、设备已开机

2、游戏“原神”已安装

【测试步骤】

1、打开设置- 游戏模式设置，打开游戏模式开关

2、启动游戏“原神”

3、查看工具箱入口

【预期结果】

3、工具箱入口显示在屏幕左侧靠上的位置，不遮挡游戏画面

【实际结果】

3、工具箱入口显示在屏幕中间靠下位置

History

#1 - 2022-12-27 14:40 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2022-12-29 10:47 - CD Test赵飞

此问题在跑完monkey的设备上可以复现

monkey日志见FTP：

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_114851/Tlog.zip

#3 - 2023-01-04 19:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

173847 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

2025-07-04 1/2

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_114851/Tlog.zip


AF:GameMode:Fix float view location exception.TC-RID: 1201-0204801IssueID: TS-R-BUG-114851Change-Id: Ib5085fb294597fc5b74a4ecda79f70876c4c9a92

#4 - 2023-01-04 19:16 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-04

- Root cause set to 屏幕宽高获取异常导致。

■ Current conclusion

已处理。

■ My analysis

因无法复现，分析后，大概率为屏幕宽高获取失败导致的异常。

■ Next action

测试验证。

#5 - 2023-01-05 11:17 - CD Test赵飞

- % Done changed from 100 to 70

待下一轮monkey测试完成后验证

#6 - 2023-01-11 10:06 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 100

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0067.X101

验证结果：PASS

验证了2台设备，执行完monkey测试后，打开游戏，工具箱入口位置正常，悬浮在屏幕左侧边缘靠上位置

#7 - 2023-01-11 10:06 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
